// Generated by gencpp from file teleop_msgs/PFParams.msg
// DO NOT EDIT!


#ifndef TELEOP_MSGS_MESSAGE_PFPARAMS_H
#define TELEOP_MSGS_MESSAGE_PFPARAMS_H

#include <ros/service_traits.h>


#include <teleop_msgs/PFParamsRequest.h>
#include <teleop_msgs/PFParamsResponse.h>


namespace teleop_msgs
{

struct PFParams
{

typedef PFParamsRequest Request;
typedef PFParamsResponse Response;
Request request;
Response response;

typedef Request RequestType;
typedef Response ResponseType;

}; // struct PFParams
} // namespace teleop_msgs


namespace ros
{
namespace service_traits
{


template<>
struct MD5Sum< ::teleop_msgs::PFParams > {
  static const char* value()
  {
    return "91b1675836b1c032fa924fa8b58285ec";
  }

  static const char* value(const ::teleop_msgs::PFParams&) { return value(); }
};

template<>
struct DataType< ::teleop_msgs::PFParams > {
  static const char* value()
  {
    return "teleop_msgs/PFParams";
  }

  static const char* value(const ::teleop_msgs::PFParams&) { return value(); }
};


// service_traits::MD5Sum< ::teleop_msgs::PFParamsRequest> should match
// service_traits::MD5Sum< ::teleop_msgs::PFParams >
template<>
struct MD5Sum< ::teleop_msgs::PFParamsRequest>
{
  static const char* value()
  {
    return MD5Sum< ::teleop_msgs::PFParams >::value();
  }
  static const char* value(const ::teleop_msgs::PFParamsRequest&)
  {
    return value();
  }
};

// service_traits::DataType< ::teleop_msgs::PFParamsRequest> should match
// service_traits::DataType< ::teleop_msgs::PFParams >
template<>
struct DataType< ::teleop_msgs::PFParamsRequest>
{
  static const char* value()
  {
    return DataType< ::teleop_msgs::PFParams >::value();
  }
  static const char* value(const ::teleop_msgs::PFParamsRequest&)
  {
    return value();
  }
};

// service_traits::MD5Sum< ::teleop_msgs::PFParamsResponse> should match
// service_traits::MD5Sum< ::teleop_msgs::PFParams >
template<>
struct MD5Sum< ::teleop_msgs::PFParamsResponse>
{
  static const char* value()
  {
    return MD5Sum< ::teleop_msgs::PFParams >::value();
  }
  static const char* value(const ::teleop_msgs::PFParamsResponse&)
  {
    return value();
  }
};

// service_traits::DataType< ::teleop_msgs::PFParamsResponse> should match
// service_traits::DataType< ::teleop_msgs::PFParams >
template<>
struct DataType< ::teleop_msgs::PFParamsResponse>
{
  static const char* value()
  {
    return DataType< ::teleop_msgs::PFParams >::value();
  }
  static const char* value(const ::teleop_msgs::PFParamsResponse&)
  {
    return value();
  }
};

} // namespace service_traits
} // namespace ros

#endif // TELEOP_MSGS_MESSAGE_PFPARAMS_H
